## loop-aes 3.3a

=== Makefile ===
#
#  Makefile
#
#  Written by Jari Ruusu, March 13 2010
#
#  Copyright 2001-2010 by Jari Ruusu.
#  Redistribution of this file is permitted under the GNU Public License.
#
#  To compile and install, use commands:  make clean; make
#  This Makefile tries to locate running kernel source directory and
#  steal definitions from kernel Makefile. Note: kernel must be properly
#  configured and compiled in order for this to work.
#  You can override the kernel source directory by defining LINUX_SOURCE
#  like this:  make LINUX_SOURCE=/usr/src/linux-2.2.20aa1
#
#  Both LINUX_SOURCE and KBUILD_OUTPUT must be defined when
#  compiling for 2.6.x kernel with separate object directory.
#

KR:=$(shell uname -r)
ifdef LINUX_SOURCE
	LS:=$(LINUX_SOURCE)
else
	LS:=$(shell  if [ -f /lib/modules/$(KR)/source/Makefile ]; then cd /lib/modules/$(KR)/source && /bin/pwd; \
		else if [ -f /lib/modules/$(KR)/build/include/linux/version.h ]; then cd /lib/modules/$(KR)/build && /bin/pwd; \
		else if [ -f /usr/src/linux/include/linux/version.h ]; then cd /usr/src/linux && /bin/pwd; \
		else if [ -f /usr/src/linux-$(KR)/include/linux/version.h ]; then cd /usr/src/linux-$(KR) && /bin/pwd; \
		else if [ -f /usr/src/kernel-source-$(KR)/include/linux/version.h ]; then cd /usr/src/kernel-source-$(KR) && /bin/pwd; \
		else echo unable-to-guess-source-dir; fi; fi; fi; fi; fi)
endif
ifdef KBUILD_OUTPUT
	OD1:=$(KBUILD_OUTPUT)
else
ifdef LINUX_SOURCE
	OD1:=$(LS)
else
	OD1:=$(shell if [ -f /lib/modules/$(KR)/build/include/linux/version.h ]; then cd /lib/modules/$(KR)/build && /bin/pwd; else echo $(LS); fi)
endif
endif
OD2:=
ifneq ($(LS),$(OD1))
	OD2:= O=$(OD1)
endif
TD:=$(shell /bin/pwd)

MODINST:=y
KEYSCRUB:=n
PADLOCK:=n
INTELAES:=n
BUILD_LOOP:=y
EXTRA_CIPHERS:=n

VERSION:=$(shell if test -r $(LS)/Makefile; then grep '^VERSION' $(LS)/Makefile | head -n 1 | sed -e 's/[^0-9]//g'; fi)
PATCHLEVEL:=$(shell if test -r $(LS)/Makefile; then grep '^PATCHLEVEL' $(LS)/Makefile | head -n 1 | sed -e 's/[^0-9]//g'; fi)
SUBLEVEL:=$(shell if test -r $(LS)/Makefile; then grep '^SUBLEVEL' $(LS)/Makefile | head -n 1 | sed -e 's/[^0-9]//g'; fi)

PATCHNAME:=loop.c-$(VERSION).$(PATCHLEVEL).diff
ORIGNAME:=loop.c-$(VERSION).$(PATCHLEVEL).original
PREPATCHED:=loop.c-$(VERSION).$(PATCHLEVEL).patched

EF:=
LF:=-r
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -lt 260 ]; then echo y; fi),y)
	OD1:=$(LS)
endif

ifeq ($(VERSION).$(PATCHLEVEL),2.0)
	# Use optimized assembler implementation if target is x86 processor
	X86_ASM:=$(shell if grep -q -s "define CONFIG_M[3456]86" $(LS)/include/linux/autoconf.h; then echo y; fi)
	# kernel v2.0 doesn't have u_int32_t and u_int64_t
	EF += -Du_int32_t=__u32 -Du_int64_t=__u64
ifndef KERNELRELEASE
	# some older 2.0 kernels don't define KERNELRELEASE
	KERNELRELEASE:=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)
endif
endif
ifeq ($(VERSION).$(PATCHLEVEL),2.2)
	# Use optimized assembler implementation if target is x86 processor
	X86_ASM:=$(shell if grep -q -s "define CONFIG_M[3456]86" $(LS)/include/linux/autoconf.h; then echo y; fi)
endif
ifeq ($(VERSION).$(PATCHLEVEL),2.4)
	EF += $(kbuild_2_4_nostdinc)
	# Use optimized assembler implementation if target is x86 processor
	X86_ASM:=$(shell if grep -q -s "define CONFIG_X86 1" $(LS)/include/linux/autoconf.h; then if ! grep -q -s "define CONFIG_X86_64" $(LS)/include/linux/autoconf.h; then echo y; fi; fi)
	# Use optimized assembler implementation if target is AMD64 or compatible processor
	AMD64_ASM:=$(shell if grep -q -s "define CONFIG_X86_64" $(LS)/include/linux/autoconf.h; then echo y; fi)
	# some older 2.4 kernels don't have struct block_device_operations.owner
	EF += $(shell if test -r $(LS)/include/linux/fs.h; then if ! sed -e '1,/^struct block_device_operations {$$/ d' $(LS)/include/linux/fs.h | sed -e '/^};$$/,$$ d' | grep -q -s 'struct module.*owner;'; then echo "-DNO_BLOCK_DEVICE_OPERATIONS_OWNER"; fi; fi)
	# some older 2.4 kernels don't have reparent_to_init()
	EF += $(shell if ! grep -q -s "extern void reparent_to_init" $(LS)/include/linux/sched.h; then echo "-DNO_REPARENT_TO_INIT"; fi)
	# some 2.4 kernels don't have struct task_struct.sigmask_lock
	EF += $(shell if ! grep -q -s "spinlock_t sigmask_lock" $(LS)/include/linux/sched.h; then if grep -q -s 'struct sighand_struct \*sighand;' $(LS)/include/linux/sched.h; then echo '-DNO_TASK_STRUCT_SIGMASK_LOCK=1'; else echo '-DNO_TASK_STRUCT_SIGMASK_LOCK=2'; fi; fi)
endif
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 260 ]; then echo y; fi),y)
	# Use optimized assembler implementation if target is x86 processor
	X86_ASM:=$(shell if grep -q -s "define CONFIG_X86 1" $(OD1)/include/{generated,linux}/autoconf.h; then if ! grep -q -s "define CONFIG_X86_64" $(OD1)/include/{generated,linux}/autoconf.h; then echo y; fi; fi)
	# Use optimized assembler implementation if target is AMD64 or compatible processor
	AMD64_ASM:=$(shell if grep -q -s "define CONFIG_X86_64" $(OD1)/include/{generated,linux}/autoconf.h; then echo y; fi)
	# some older 2.6 kernels have different request_module interface
	EF += $(shell if test -r $(LS)/drivers/block/genhd.c; then if ! grep -q -s "request_module.*block-major-.*MAJOR.*MINOR" $(LS)/drivers/block/genhd.c; then echo "-DOLD_REQUEST_MODULE_INTERFACE"; fi; fi)
	# some older 2.6 kernels have per thread resource limits
	EF += $(shell if test -r $(LS)/include/linux/sched.h; then if sed -e '1,/^struct task_struct {$$/ d' $(LS)/include/linux/sched.h | sed -e '/^};$$/,$$ d' | grep -q -s 'struct rlimit rlim.RLIM_NLIMITS.;'; then echo "-DOLD_PER_THREAD_RLIMITS"; fi; fi)
	# some 2.6 kernels may have void* timer callback parameter
	EF += $(shell if test -r $(LS)/include/linux/timer.h; then if ! sed -e '1,/^struct timer_list {$$/ d' $(LS)/include/linux/timer.h | sed -e '/^};$$/,$$ d' | grep -q -s 'unsigned long data;'; then echo "-DNEW_TIMER_VOID_PTR_PARAM"; fi; fi)
	# some older 2.6 kernels may have two invalidate_bdev() parameters
	EF += $(shell if test -r $(LS)/include/linux/buffer_head.h; then if grep -q -s '^void invalidate_bdev.*struct block_device.*int' $(LS)/include/linux/buffer_head.h; then echo "-DOLD_INVALIDATE_BDEV_INTERFACE"; fi; fi)
endif

ifeq ($(KEYSCRUB),y)
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 240 ]; then echo y; fi),y)
	EF += -DCONFIG_BLK_DEV_LOOP_KEYSCRUB=1
endif
endif

ifeq ($(PADLOCK),y)
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 240 ]; then echo y; fi),y)
	EF += -DCONFIG_BLK_DEV_LOOP_PADLOCK=1
endif
endif

# Some distros include "" characters in KERNELRELEASE string
KERNELRELEASE_clean:=$(shell echo $(KERNELRELEASE))

AES_OBJ_CODE:=aes.o
MD5_OBJ_CODE:=md5.o
INTELAES_OBJ_CODE:=
ifeq ($(X86_ASM),y)
	AES_OBJ_CODE:=aes-x86.o
	MD5_OBJ_CODE:=md5-x86.o
	EF += -DX86_ASM
ifeq ($(INTELAES),y)
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 240 ]; then echo y; fi),y)
	INTELAES_OBJ_CODE:=aes-intel32.o
	EF += -DCONFIG_BLK_DEV_LOOP_INTELAES=1
endif
endif
endif
ifeq ($(AMD64_ASM),y)
	AES_OBJ_CODE:=aes-amd64.o
	MD5_OBJ_CODE:=md5-amd64.o
	EF += -DAMD64_ASM
ifeq ($(INTELAES),y)
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 240 ]; then echo y; fi),y)
	INTELAES_OBJ_CODE:=aes-intel64.o
	EF += -DCONFIG_BLK_DEV_LOOP_INTELAES=1
endif
endif
endif

# check if depmod supports -F and -b options
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 260 ]; then echo y; fi),y)
	DMOK:=y
else
	DMOK:=$(shell if [ `/sbin/insmod -V 2>&1 | head -n 1 | awk '/^insmod version /{split($$3, a, /\./); printf "%d%03d%03d\n", a[1], a[2], a[3];}'`0 -ge 20020020 ]; then echo y; fi)
endif
ifndef DEPMOD
	DEPMOD:=/sbin/depmod
endif

# check if kernel source has System.map
SYSM:=$(shell if [ -r $(OD1)/System.map ]; then echo y; fi)

RUNDM:=
DMOPTS:=
ifeq ($(DMOK),y)
ifneq "$(strip $(INSTALL_MOD_PATH))" ""
	DMOPTS += -b $(INSTALL_MOD_PATH)
endif
ifeq ($(SYSM),y)
	RUNDM:=y
	DMOPTS += -F $(OD1)/System.map $(KERNELRELEASE_clean)
endif
endif
ifeq ($(KERNELRELEASE_clean),$(KR))
ifeq "$(strip $(INSTALL_MOD_PATH))" ""
	RUNDM:=y
endif
endif

all:
ifeq ($(LS),unable-to-guess-source-dir)
	@echo "Unable to guess linux kernel source directory. Please specify"
	@echo "directory like this:  make LINUX_SOURCE=/usr/src/linux-2.2.20aa1"
	@exit 1
endif
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 260 ]; then echo y; fi),y)
	rm -r -f *.ko tmp-d-kbuild 
	mkdir tmp-d-kbuild
	echo 'obj-m:=' >>tmp-d-kbuild/Makefile
ifeq ($(BUILD_LOOP),y)
	cd tmp-d-kbuild && ln -s ../loop.c-$(VERSION).$(PATCHLEVEL).patched patched-loop.c && ln -s ../glue.c ../aes.h ../md5.h .
	echo 'obj-m += loop.o' >>tmp-d-kbuild/Makefile
ifeq ($(X86_ASM),y)
	cd tmp-d-kbuild && ln -s ../aes-x86.S ../md5-x86.S .
	echo 'loop-y:=patched-loop.o glue.o aes-x86.o md5-x86.o' >>tmp-d-kbuild/Makefile
ifeq ($(INTELAES),y)
	cd tmp-d-kbuild && ln -s ../aes-intel32.S .
	echo 'loop-y += aes-intel32.o' >>tmp-d-kbuild/Makefile
endif
else
ifeq ($(AMD64_ASM),y)
	cd tmp-d-kbuild && ln -s ../aes-amd64.S ../md5-amd64.S .
	echo 'loop-y:=patched-loop.o glue.o aes-amd64.o md5-amd64.o' >>tmp-d-kbuild/Makefile
ifeq ($(INTELAES),y)
	cd tmp-d-kbuild && ln -s ../aes-intel64.S .
	echo 'loop-y += aes-intel64.o' >>tmp-d-kbuild/Makefile
endif
else
	cd tmp-d-kbuild && ln -s ../aes.c ../md5.c .
	echo 'loop-y:=patched-loop.o glue.o aes.o md5.o' >>tmp-d-kbuild/Makefile
	echo 'CFLAGS_aes.o := -DDATA_ALWAYS_ALIGNED=1' >>tmp-d-kbuild/Makefile
endif
endif
endif
ifeq ($(EXTRA_CIPHERS),y)
	cd tmp-d-kbuild && ln -s ../loop_twofish.c ../loop_serpent.c ../loop_blowfish.c .
	echo 'obj-m += loop_twofish.o loop_serpent.o loop_blowfish.o' >>tmp-d-kbuild/Makefile
endif
	echo 'EXTRA_CFLAGS:= $(EF)' >>tmp-d-kbuild/Makefile
	cd $(LS) && make SUBDIRS=$(TD)/tmp-d-kbuild modules $(OD2)
ifeq ($(MODINST),y)
	cd $(LS) && make SUBDIRS=$(TD)/tmp-d-kbuild modules_install $(OD2)
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -eq 260 -a "$(SUBLEVEL)0" -lt 170 ]; then echo y; fi),y)
	cd $(LS) && make SUBDIRS=$(TD) modules Q='@cd $(TD) && if [ "$$@" = "modules" ]; then make old-k26-depmod; fi; exit; # ' $(OD2)
endif
endif
ifeq ($(BUILD_LOOP),y)
	ln -s tmp-d-kbuild/loop.ko .
endif
ifeq ($(EXTRA_CIPHERS),y)
	ln -s tmp-d-kbuild/loop_twofish.ko tmp-d-kbuild/loop_serpent.ko tmp-d-kbuild/loop_blowfish.ko .
endif
	sync
else
	cd $(LS) && make SUBDIRS=$(TD) modules
	sync
endif

# 2.6 kernels older than 2.6.17 do not run depmod in "modules_install" stage,
# but above "make modules Q=..." hack calls this target so we can run depmod here.
old-k26-depmod:
ifeq ($(RUNDM),y)
	$(DEPMOD) -a $(DMOPTS)
endif

# build stuff after this line is for 2.4 and older kernels only
MLIST:=
ifeq ($(BUILD_LOOP),y)
	MLIST += loop.o
endif
ifeq ($(EXTRA_CIPHERS),y)
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 220 ]; then echo y; fi),y)
	MLIST += loop_twofish.o loop_serpent.o loop_blowfish.o
endif
endif

modules: clean $(MLIST)
ifeq ($(MODINST),y)
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 240 ]; then echo y; fi),y)
	rm -f $(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE_clean)/kernel/drivers/block/loop.o
endif
	mkdir -p $(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE_clean)/block
ifneq "$(strip $(MLIST))" ""
	cp -p $(MLIST) $(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE_clean)/block
endif
ifeq ($(RUNDM),y)
	$(DEPMOD) -a $(DMOPTS)
endif
endif

loop.o: patched-loop.o glue.o $(AES_OBJ_CODE) $(INTELAES_OBJ_CODE) $(MD5_OBJ_CODE)
	$(LD) $(LF) patched-loop.o glue.o $(AES_OBJ_CODE) $(INTELAES_OBJ_CODE) $(MD5_OBJ_CODE) -o loop.o
patched-loop.o:
	rm -f patched-loop.[ch]
ifeq ($(shell if [ "$(VERSION)$(PATCHLEVEL)0" -ge 240 ]; then echo y; fi),y)
	cp $(PREPATCHED) patched-loop.c
else
	cp $(LS)/drivers/block/loop.c patched-loop.c
	@echo "*** BEGINNING OF SECTION TO IGNORE PATCH ERRORS ***"
	patch -p0 -l -f --dry-run < $(PATCHNAME) || cp $(ORIGNAME) patched-loop.c
	@echo "*** END OF SECTION TO IGNORE PATCH ERRORS ***"
	patch -p0 -l -f < $(PATCHNAME)
endif
	$(CC) $(CFLAGS) $(EF) -DKBUILD_BASENAME=patched_loop -DEXPORT_SYMTAB -c patched-loop.c -o patched-loop.o
glue.o: glue.c aes.h md5.h
	$(CC) $(CFLAGS) $(EF) -DKBUILD_BASENAME=glue -c glue.c -o glue.o

=== debian/changelog ===
loop-aes (3.3a-2) unstable; urgency=low

  * Orphaning the package (#614808)
  * Set maintainer to Debian QA Group

 -- Max Vozeler <xam@debian.org>  Wed, 23 Feb 2011 17:52:28 +0100

loop-aes (3.3a-1) unstable; urgency=low

  * New upstream release
  * Switch to 3.0 (quilt) format for upstream .tar.bz2
  * Update Standards-Version to 3.8.4 (no changes)

 -- Max Vozeler <xam@debian.org>  Mon, 29 Mar 2010 19:04:20 +0200

loop-aes (3.2h-1) unstable; urgency=low

  * New upstream release
    - Fixes build with 2.6.32 (closes: #560214)
  * Update Standards-Version to 3.8.3 (no changes)
  * Add copyright info for loop-aes-keygen (closes: #492123)

 -- Max Vozeler <xam@debian.org>  Sat, 12 Dec 2009 14:37:51 +0100

loop-aes (3.2g-1) unstable; urgency=low

  * New upstream release
  * Set section to 'kernel' 
  * Update Standards-Version to 3.8.1 (no changes)
  * Update to debhelper level 7

 -- Max Vozeler <xam@debian.org>  Fri, 03 Jul 2009 20:42:10 +0200

loop-aes (3.2f-1) unstable; urgency=low

  * New upstream release
    - Fixes build with 2.6.29 (closes: #521348)
  * debian/copyright: Update years

 -- Max Vozeler <xam@debian.org>  Sun, 29 Mar 2009 14:02:13 +0200

loop-aes (3.2e-1) unstable; urgency=low

  * New upstream release
   - Fixes build with 2.6.28 (closes: #510037)
  * Bump Standards-Version to 3.8.0 (no changes)
  * Remove spurious build dependency on module-assistant 

 -- Max Vozeler <xam@debian.org>  Sun, 22 Feb 2009 15:37:24 +0100

loop-aes (3.2c-2) unstable; urgency=low

  * loop-aes-testsuite: Add depends on make

 -- Max Vozeler <xam@debian.org>  Fri, 14 Mar 2008 16:26:30 +0100

loop-aes (3.2c-1) unstable; urgency=low

  * New upstream release 

 -- Max Vozeler <xam@debian.org>  Sun, 09 Mar 2008 01:42:39 +0100

loop-aes (3.2b-5) unstable; urgency=low

  * Restore debian/source/control (closes: #465385)

 -- Max Vozeler <xam@debian.org>  Tue, 12 Feb 2008 09:16:17 +0100

loop-aes (3.2b-4) unstable; urgency=low

  * Back to being a pure -source package. Modules
    are now included in linux-modules-extra-2.6.

 -- Max Vozeler <xam@debian.org>  Fri, 08 Feb 2008 09:09:09 +0100

loop-aes (3.2b-3) unstable; urgency=low

  * Include Makefile-2.6 in -source so it can be
    used by linux-modules-extra-2.6.

 -- Max Vozeler <xam@debian.org>  Sun, 20 Jan 2008 12:14:42 +0100

loop-aes (3.2b-2) unstable; urgency=low

  * Update modules to 2.6.23-1
  * Adapt gencontrol to linux-support-2.6.23-1
  * Bump Standards-Version to 3.7.3 (no changes)

 -- Max Vozeler <xam@debian.org>  Sat, 08 Dec 2007 21:11:33 +0100

loop-aes (3.2b-1) unstable; urgency=low

  * New upstream release
  * Update modules to 2.6.22-3

 -- Max Vozeler <xam@debian.org>  Sat, 27 Oct 2007 13:48:30 +0200

loop-aes (3.2a-5) unstable; urgency=low

  * Update modules to 2.6.22-2 
  * Use explicit f argument to tar when creating 
    loop-aes.tar.bz2

 -- Max Vozeler <xam@debian.org>  Wed, 05 Sep 2007 23:55:22 +0200

loop-aes (3.2a-4) unstable; urgency=low

  * Update to 2.6.22-1
  * Adapt gencontrol to linux-support-2.6.22-1
  * Make loop-aes-modules-2.6-$(flavour) depend on
    linux-latest-modules-$(KVERS)

 -- Max Vozeler <xam@debian.org>  Sun, 12 Aug 2007 13:53:54 +0200

loop-aes (3.2a-3) unstable; urgency=low

  * Update modules to 2.6.21-2 

 -- Max Vozeler <xam@debian.org>  Wed, 27 Jun 2007 00:28:12 +0200

loop-aes (3.2a-2) unstable; urgency=low

  * Update modules to 2.6.21-1
  * Update years in debian/copyright and adapt to ciphers
    merged in v3.2a.

 -- Max Vozeler <xam@debian.org>  Wed, 23 May 2007 20:59:01 +0200

loop-aes (3.2a-1) unstable; urgency=low

  * New upstream release
  * Finally use unchanged upstream tarball :-)
  * Remove obsolete script debian/get-orig-source
  * Remove README.ciphers, changelog.ciphers
  * Use upstream Makefile in debian/rules.real
  * Adapt debian/rules.real, debian/source/rules for changed paths
  * Update documentation on ciphers
  * Update README.Debian on now obsolete GnuPG patch, 
    thanks to Torbjörn Wictorin. (Closes: #423395)

 -- Max Vozeler <xam@debian.org>  Thu, 17 May 2007 20:11:54 +0200

loop-aes (3.1f-2) unstable; urgency=low

  * Update modules to 2.6.20-1
  * Enable support for VIA padlock xcrypt instruction
  * Adapt gencontrol to linux-support-2.6.20-1

 -- Max Vozeler <xam@debian.org>  Sat, 21 Apr 2007 20:22:06 +0200

loop-aes (3.1f-1) experimental; urgency=low

  * New upstream release (Closes: #403974)
  * Make module packages depend on linux-modules-$KVERS 
    instead of linux-image-$KVERS. (Closes: #409205)

 -- Max Vozeler <xam@debian.org>  Sat, 24 Feb 2007 22:17:56 +0100

loop-aes (3.1d-13) unstable; urgency=low

  * Adapt bin/gencontrol.py to cope with .dsfg version
  * Update modules to 2.6.18-4 

 -- Max Vozeler <xam@debian.org>  Sun, 28 Jan 2007 12:32:15 +0100

loop-aes (3.1d-12) unstable; urgency=low

  * Update modules to 2.6.18-3 
  * Provide usage information for loop-aes-runtests
  * Reenable keyscrub by default

 -- Max Vozeler <xam@debian.org>  Fri, 24 Nov 2006 20:11:06 +0100

loop-aes (3.1d-11) unstable; urgency=low

  * Update modules to 2.6.18-2
  * Add manpage for loop-aes-runtests
  * Make loop-aes-runtest quiet by default, add -v
  * Set maintainer to Debian Loop-AES Team

 -- Max Vozeler <xam@debian.org>  Thu,  9 Nov 2006 19:13:31 +0100

loop-aes (3.1d-10) unstable; urgency=low

  * Update the package name for dpkg-divert. (Closes: #392841)
  * Drop conflicts with loop-aes-ciphers-$KVERS

 -- Max Vozeler <xam@debian.org>  Sun, 15 Oct 2006 17:35:09 +0200

loop-aes (3.1d-9) unstable; urgency=low

  * Update to 2.6.18-1
  * Respect modules: False in arch defines. (Closes: #390554)
  * Use a hardlink for loop-aes.ko -> loop.ko

 -- Max Vozeler <xam@debian.org>  Sat,  7 Oct 2006 17:55:18 +0200

loop-aes (3.1d-8) unstable; urgency=low

  * Revert back to 2.6.17-2 for upload to unstable

 -- Max Vozeler <xam@debian.org>  Sun,  1 Oct 2006 18:59:30 +0200

loop-aes (3.1d-7) experimental; urgency=low

  * Update to 2.6.18-1


=== debian/control ===
Source: loop-aes
Section: kernel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), bzip2, fakeroot

Package: loop-aes-source
Architecture: all
Depends: build-essential, debhelper (>= 7), module-assistant, bzip2
Recommends: loop-aes-testsuite
Description: source for loop-AES encryption modules
 This package contains source code of the loop-AES loadable kernel
 modules for Linux 2.0 - 2.6. It can be used with module-assistant,
 make-kpkg or stand-alone to build loop-AES module packages.
 .
 loop-AES can be used to encrypt disk partitions, removable media, 
 swap space and other devices. It provides measures to strengthen 
 the encryption: Passphrase seeds, multiple hash iterations, MD5 IV
 and use of alternating encryption keys.
 .
 Encryption keys can be stored in a GnuPG-encrypted keyfile, which
 allows the passphrase to be changed without re-encryption. Keyfiles
 can also be encrypted asymmetrically for multi-user access.
 . 
 This package includes the cipher modules blowfish, twofish and 
 serpent in addition to the default cipher (AES).
 .
 Modules compiled from this package require mount utils with
 support for loop-AES to work correctly. Such utils are provided
 in the package 'loop-aes-utils'.

Package: loop-aes-testsuite
Architecture: all
Depends: make
Provides: loop-aes-testsuite-v3
Description: test suite for loop-AES encryption modules
 This package provides scripts for testing the loop-AES encryption
 kernel modules.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 1493 2008-02-08 08:47:24Z xam $

PACKAGE	:= loop-aes
PACKAGE_DIR = debian/$(PACKAGE)
MODULES_DIR = $(PACKAGE_DIR)/usr/src/modules
TESTSUITE_DIR = $(PACKAGE_DIR)/usr/share/loop-aes-testsuite

build:
# Nothing to do

install: build install-source install-testsuite

install-source: PACKAGE = loop-aes-source
install-source: 
	dh_testdir
	dh_testroot
	dh_clean -p$(PACKAGE)
	dh_installdirs -p$(PACKAGE)
	dh_installchangelogs -p$(PACKAGE) ChangeLog
	dh_installdocs -p$(PACKAGE) README debian/README.Debian

	dh_install -p$(PACKAGE) $(filter-out debian,$(wildcard *)) usr/src/modules/loop-aes
	dh_install -p$(PACKAGE) debian/copyright debian/changelog debian/compat debian/README.Debian debian/Makefile-2.6 $(wildcard debian/modules/*) usr/src/modules/loop-aes/debian

	dh_fixperms -p$(PACKAGE)
	chmod +x $(MODULES_DIR)/loop-aes/debian/rules
	cd $(MODULES_DIR)/.. && tar cvf - modules | bzip2 -9 > loop-aes.tar.bz2
	rm -rf $(MODULES_DIR)

install-testsuite: PACKAGE = loop-aes-testsuite
install-testsuite:
	dh_testdir
	dh_testroot
	dh_clean -p$(PACKAGE)
	dh_installdirs -p$(PACKAGE)
	dh_installchangelogs -p$(PACKAGE)
	dh_installdocs -p$(PACKAGE)
	dh_installman -p$(PACKAGE) debian/loop-aes-runtests.8

	mkdir -p $(TESTSUITE_DIR) 
	cp gpgkey*.asc $(TESTSUITE_DIR)
	cp Makefile $(TESTSUITE_DIR)
	install -m 0755 -D debian/loop-aes-runtests $(PACKAGE_DIR)/usr/sbin/loop-aes-runtests

binary: binary-arch binary-indep

binary-arch:
# Nothing to do

binary-indep: install
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

clean:
	dh_testdir
	dh_testroot
	dh_clean

.PHONY: clean binary-indep binary-arch binary build install install-source install-testsuite

=== debian/watch ===
version=2
http://loop-aes.sourceforge.net/loop-AES/loop-AES-v(.*).tar.bz2
